#
# spec file for package perl-Net-XMPP
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-XMPP
Version:        1.05
Release:        1.30
%define cpan_name Net-XMPP
Summary:        XMPP Perl Library
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-XMPP/
Source0:        http://www.cpan.org/authors/id/D/DA/DAPATRICK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Authen::SASL) >= 2.12
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(LWP::Online) >= 1.07
BuildRequires:  perl(Module::Build) >= 0.360300
BuildRequires:  perl(Test::More) >= 0.92
BuildRequires:  perl(XML::Stream) >= 1.24
BuildRequires:  perl(YAML::Tiny) >= 1.41
Requires:       perl(Authen::SASL) >= 2.12
Requires:       perl(Digest::SHA)
Requires:       perl(XML::Stream) >= 1.24
%{perl_requires}

%description
Net::XMPP is a convenient tool to use for any perl script that would like
to utilize the XMPP Instant Messaging protocol. While not a client in and
of itself, it provides all of the necessary back-end functions to make a
CGI client or command-line perl client feasible and easy to use. Net::XMPP
is a wrapper around the rest of the official Net::XMPP::xxxxxx packages.

There is are example scripts in the example directory that provide you with
examples of very simple XMPP programs.

NOTE: The parser that the XML::Stream::Parser manpage provides, as are most
Perl parsers, is synchronous. If you are in the middle of parsing a packet
and call a user defined callback, the Parser is blocked until your callback
finishes. This means you cannot be operating on a packet, send out another
packet and wait for a response to that packet. It will never get to you.
Threading might solve this, but as of this writing threading in Perl is not
quite up to par yet. This issue will be revisted in the future.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
rm t/gtalk.t # skip tests that need network
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES examples LICENSE README

%changelog
* Tue Jan 12 2016 bwiedemann@suse.com
- skip tests that need network
- add cpanspec.yml
* Wed Apr 15 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Net-XMPP/CHANGES
  1.05 2014-12-22
  ====
  - Update CHANGES file
  1.04 2014-12-22
  ====
  - Increase XML::Stream dependency to 1.24
  1.03 2014-12-22
  ====
  - Roll-up of all 1.02_* changes
  - Update bug tracker location
  - RT#94649 use Digest::SHA (from Debian package maintainers)
  - RT#94650 spelling corrections (from Debian package maintainers)
  1.02_05 2014-12-17
  ====
  - Correct incorrectly tagged 1.02_04 (errantly tagged as 1.23_04)
  - Remove extraneous tag 1.02_1 (1.02_01 points to the same content)
  1.02_04 2011-07-19
  ===
  - Remove outdated Test::More/Test::Builder (szabgab)
  - Address more memory leaks in Net::XMPP::Connection, Net::XMPP::Protocol and Net::XMPP::Roster (szabgab)
  - Fix crash connecting to Google Talk (szabgab)
  - Add Google Talk-specific test (szabgab)
  - Add memory leak tests (szabgab)
  - Correct behavior of Net::XMPP::Debug when level >= 0 (szabgab)
  - Correct documentation with regard to debug settings (szabgab)
  - Correct required version of Perl (szabgab)
  - Removed specific XML::Stream version require (szabgab)
  1.02_03 2011-06-23
  ===
  - RT#61611 Correct comparison operator
  - Fixed memory leak in Net::XMPP::Connection (szabgab)
  - RT#52549 unindented POD so that it reformats properly (szabgab)
  - Replace indirect object notation with direct invocation notation (szabgab)
  1.02_02 2010-09-24
  ===
  - Increase XML::Stream dependency to 1.23_04
  1.02_01 2010-09-22
  ===
  - New maintainer: DAPATRICK
  - RT#15736 Replace print statements to debug logging
  - RT#51156 Correct typo in documentation
  - RT#54521 Note dependency on XML::Stream 1.23
  - RT#37129, RT#18539 Support for virtual domains
  - RT#57887 Use each required module explicitly
  - RT#61453 Pass ssl_verify and ssl_ca_path
  - RT#61453 Improve undef/null ssl param handling
  - RT#61144 Appropriately handle non-object jid
  - RT#37030 Clarify license as LGPL 2.1
  - RT#58333 Check definedness of hash key before use
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 25 2010 chris@computersalat.de
- removed dos2unix usage
* Wed Jul 14 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Apr  5 2007 anicka@suse.cz
- update to 1.02
  * Copied *X subs from Net::Jabber::Message to Net::XMPP::Message
  * added debugging in some Protocol subs that didn't have it,
    but not all
  * disabled CODE checking in Protocol-Callback subs to be POE
    compatible
  * changed mytestlib.pl to output more concise test names
  * bugfixes
- fix spec to build with Module::Build, add it to BuildRequires
- disable %%perl_process_packlist (Module::Build does not append
  to perllocal.pod)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  9 2005 ro@suse.de
- ignore test errors for the moment
* Mon Aug  1 2005 mjancar@suse.cz
- initial version 1.0
